
-- =========================================================================
-- DB2 Spatial Extender V8 Hospital Demo
-- CLP script: grant_privileges.db2
-- =========================================================================

--
-- Grant select permission on tables
--

GRANT SELECT ON hospdemo.columbus  TO PUBLIC
;
GRANT SELECT ON hospdemo.intersta  TO PUBLIC
;
GRANT SELECT ON hospdemo.mainroads TO PUBLIC
;
GRANT SELECT ON hospdemo.hospital  TO PUBLIC
;
GRANT SELECT ON hospdemo.medhist   TO PUBLIC
;
GRANT SELECT ON hospdemo.patient   TO PUBLIC
;
GRANT SELECT ON hospdemo.physician TO PUBLIC
;

--
-- Grant select permission on views
--

GRANT SELECT ON hospdemo.v01 TO PUBLIC
;
GRANT SELECT ON hospdemo.v02 TO PUBLIC
;
GRANT SELECT ON hospdemo.v03 TO PUBLIC
;
GRANT SELECT ON hospdemo.v04 TO PUBLIC
;
GRANT SELECT ON hospdemo.v05 TO PUBLIC
;
GRANT SELECT ON hospdemo.v06 TO PUBLIC
;
GRANT SELECT ON hospdemo.v07 TO PUBLIC
;
GRANT SELECT ON hospdemo.v08 TO PUBLIC
;
GRANT SELECT ON hospdemo.v09 TO PUBLIC
;
GRANT SELECT ON hospdemo.v10 TO PUBLIC
;

--
-- Grant execute permission on Spatial Extender methods
--

GRANT EXECUTE ON METHOD srid() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD xmax() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD xmin() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD ymax() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD ymin() FOR db2gse.st_geometry TO PUBLIC
;

